## golang-github-emicklei-proto 1.13.3

=== debian/changelog ===
golang-github-emicklei-proto (1.13.3-1) unstable; urgency=medium

  * New upstream version 1.13.3

 -- Simon Josefsson <simon@josefsson.org>  Sat, 14 Dec 2024 07:36:33 +0100

golang-github-emicklei-proto (1.13.2-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 11 Dec 2024 22:47:38 +0100

golang-github-emicklei-proto (1.13.2-1) unstable; urgency=medium

  * Initial release (Closes: #1088181)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 24 Nov 2024 19:35:43 +0100
