=== debian/changelog ===
golang-github-emicklei-proto (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0

 -- Simon Josefsson <simon@josefsson.org>  Thu, 19 Dec 2024 11:49:39 +0100
