=== debian/control ===
Source: golang-github-emicklei-proto
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-emicklei-proto
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-emicklei-proto.git
Homepage: https://github.com/emicklei/proto
XS-Go-Import-Path: github.com/emicklei/proto

Package: golang-github-emicklei-proto-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: parser for Google ProtocolBuffers definition (Go library)
 Go Library for parsing Google Protocol Buffers .proto files v2 and v3, see:
 https://developers.google.com/protocol-buffers/docs/reference/proto3-spec
 .
 This package contains the Go development library.
